Bug 1723617 - nfs-ganesha gets empty stat (all zero) when glfs_mkdir return success
Summary: nfs-ganesha gets empty stat (all zero) when glfs_mkdir return success
Keywords:
Status: ASSIGNED
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Susant Kumar Palai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-25 01:36 UTC by Kinglong Mee
Modified: 2019-08-31 18:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kinglong Mee 2019-06-25 01:36:50 UTC
Description of problem:

I have a 4+2 ec volume, and a fault inject test (reboot a ec node every 600s),
nfs client runs the fs_racer test of ltp.

The ganesha.nfsd prints some logs in ganesha.log,

ganesha.nfsd-19199[work-8] posix2fsal_type :FSAL :WARN :Unknown object type: 0

and logs in ganesha-gfapi.log,

[dht-selfheal.c:668:dht_selfheal_dir_xattr_cbk] 0-test1-dht: layout setxattr failed on test1-disperse-0, path:/nfsshare/ltp-Fa5fNeMmWI/race/14/14 gfid:c51c4be6-b9a4-4cc0-96fd-f069018bf9d7 [No such file or directory]

When meeting error, dht_selfheal_dir_xattr_cbk just return 0 to up layer
that causes gfapi return success at mkdir with empty stat.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Susant Kumar Palai 2019-07-23 05:45:38 UTC
Will get back on this after reproducing this issue. Thanks for reporting.

Susant


Note You need to log in before you can comment on or make changes to this bug.